// ##########################################################################
// ####                                                                  ####
// ####                        Testdaten-Generator                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Dictionary Set Template                                          ####
// ####                                                                  ####
// #### Version 1.00, December 18, 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


#ifndef DICTIONARYSET_H
#define DICTIONARYSET_H


#include "system.h"
#include "dictionarybag.h"


template<class K, class T> class DictionarySet : public DictionaryBag<K,T>
{
   // ====== Element add/remove functions ===================================
   public:
   void addHead(K key, T element);
   void addTail(K key, T element);
   bool add(K key, T element);
};


#include "dictionaryset.icc"


#endif
