// ##########################################################################
// ####                                                                  ####
// ####                        Testdaten-Generator                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Randomizer Implementation                                        ####
// ####                                                                  ####
// #### Version 1.00, December 18, 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


#include "system.h"
#include "randomizer.h"
#include "tools.h"


// ###### Constructor #######################################################
Randomizer::Randomizer()
{
   setSeed();
}

   
// ###### Set randomizer seed ###############################################
void Randomizer::setSeed()
{
   Value = (card32)getMicroTime();
}


// ###### Set randomizer seed ###############################################
void Randomizer::setSeed(const card32 seed)
{
   Value = seed;
}
