// ##########################################################################
// ####                                                                  ####
// ####                        Testdaten-Generator                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Set Template                                                     ####
// ####                                                                  ####
// #### Version 1.00, December 18, 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


#ifndef SET_H
#define SET_H


#include "system.h"
#include "bag.h"


template<class T> class Set : public Bag<T>
{
   // ====== Element add/remove functions ===================================
   public:
   inline void addHead(T element);
   inline void addTail(T element);
   inline bool add(T element);
};


#include "set.icc"


#endif
