// ##########################################################################
// ####                                                                  ####
// ####                        Testdaten-Generator                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### System dependent configuration                                   ####
// ####                                                                  ####
// #### Version 1.00, December 18, 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################

 
#ifndef SYSTEM_H
#define SYSTEM_H


#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <string.h>
#include <iostream.h>


#ifndef max
#define max(a, b) ((a) < (b) ? (b) : (a))
#endif
#ifndef min
#define min(a, b) ((a) > (b) ? (b) : (a))
#endif


// ###### Type definitions ##################################################
typedef char                sbyte;
typedef unsigned char       ubyte;

typedef char                int8;
typedef unsigned char       card8;
typedef short               int16;
typedef unsigned short      card16;
typedef int                 int32;
typedef unsigned int        card32;
typedef long long           int64;
typedef unsigned long long  card64;


#endif
  