// ##########################################################################
// ####                                                                  ####
// ####                        Testdaten-Generator                       ####
// ####                    ============================                  ####
// ####                                                                  ####
// #### Randomizer                                                       ####
// ####                                                                  ####
// #### Version 1.00, December 18, 1999                                  ####
// ####                                                                  ####
// #### Copyright (C) 1999  Thomas Dreibholz                             ####
// ####               2000  Universitt Bonn, Abt. IV                    ####
// ####                     EMail: Dreibholz@bigfoot.com                 ####
// ####                     WWW:   http://titan.cs.uni-bonn.de/~dreibhol ####
// ####                                                                  ####
// ##########################################################################


#ifndef RANDOM_H
#define RANDOM_H


#include "system.h"


class Randomizer
{
   // ====== Constructor ====================================================
   public:
   Randomizer();

   // ====== Random functions ===============================================
   void   setSeed();
   void   setSeed(const card32 seed);
   inline card16 random16();
   inline card32 random32();
   inline card64 random64();
  
   // ====== Private data ===================================================
   private:
   card32 Value;
};


#include "randomizer.icc"


#endif
